### Method

# Ggit Repository create_note

#### Declaration [src]

    GgitOId*
    ggit_repository_create_note (
      GgitRepository* repository,
      const gchar* notes_ref,
      GgitSignature* author,
      GgitSignature* committer,
      GgitOId* id,
      const gchar* note,
      gboolean force,
      GError** error
    )

#### Description [src]

Adds a note for an object.

#### Parameters

`notes_ref`

  Type: `const gchar*`

  Canonical name of the reference to use, or `NULL` to use the default ref.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`author`

  Type: `GgitSignature`

  Author signature.

  The data is owned by the caller of the method.

`committer`

  Type: `GgitSignature`

  Committer signature.

  The data is owned by the caller of the method.

`id`

  Type: `GgitOId`

  OID of the git object to decorate.

  The data is owned by the caller of the method.

`note`

  Type: `const gchar*`

  Content of the note to add for object oid.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`force`

  Type: `gboolean`

  Whether to overwrite existing note.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitOId`

The OID for the note or `NULL` in case of error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.